### Virtual Method

# Ide EditorAddin load

#### Declaration

    void
    load (
      IdeEditorAddin* self,
      IdeEditorSurface* surface
    )

#### Description

This method is called to load the addin.

The addin should add any necessary UI components.

Available since: | 3.32

#### Parameters

`surface` | `IdeEditorSurface`
| An `IdeEditorPeprsective`.
| The data is owned by the caller of the function.